Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Stefan Monnier <[email-masked]>
Date: Sat, 31 May 2025 13:39:52 -0400

>> I recommend you first finish the current patch and take on that
>> plan afterwards.
>> What I'm asking is a fairly small refactoring of the code you sent,
>> I think.
>
> Please, find attached a new version of the patch.

Looks good to me.  Eli?

> - Remove the mention about using `fill-paragraph-semlf' as
>   `fill-paragraph-function' from docs, given that the long term plan is
>   to obsolete this.

Well, it's been in my TODO for ages, so maybe we shouldn't assume this
long term plan will materialize soon.

        Stefan